Skip to main content
GET
/
view-specific
/
{customerId}
/
invoices
List invoices on customer
curl --request GET \
  --url https://api.example.com/view-specific/{customerId}/invoices
import requests

url = "https://api.example.com/view-specific/{customerId}/invoices"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/view-specific/{customerId}/invoices', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "issuedAt": "<string>",
      "period": {
        "startedAt": "<string>",
        "endedAt": "<string>"
      },
      "components": [
        {
          "id": "<string>",
          "premium": {
            "amountPreFeesAndTaxes": 123,
            "fees": [
              {
                "id": "<string>",
                "amount": 123,
                "brokerageFirmId": "<string>"
              }
            ],
            "totalFees": 123,
            "amountWithFeesPreTaxes": 123,
            "taxes": [
              {
                "id": "<string>",
                "amount": 123
              }
            ],
            "totalTaxes": 123,
            "amountWithFeesAndTaxes": 123
          },
          "reconciliation": true
        }
      ],
      "lines": [
        {
          "label": "<string>",
          "total": {
            "amountPreFeesAndTaxes": 123,
            "fees": [
              {
                "id": "<string>",
                "amount": 123,
                "brokerageFirmId": "<string>"
              }
            ],
            "totalFees": 123,
            "amountWithFeesPreTaxes": 123,
            "taxes": [
              {
                "id": "<string>",
                "amount": 123
              }
            ],
            "totalTaxes": 123,
            "amountWithFeesAndTaxes": 123
          }
        }
      ],
      "total": {
        "amountPreFeesAndTaxes": 123,
        "fees": [
          {
            "id": "<string>",
            "amount": 123,
            "brokerageFirmId": "<string>"
          }
        ],
        "totalFees": 123,
        "amountWithFeesPreTaxes": 123,
        "taxes": [
          {
            "id": "<string>",
            "amount": 123
          }
        ],
        "totalTaxes": 123,
        "amountWithFeesAndTaxes": 123
      },
      "metadata": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "id": "<string>",
      "type": "INVOICE",
      "createdAt": "<string>",
      "reconciledInvoiceIds": [
        "<array>"
      ],
      "hasFailedOnce": true,
      "firstFailedAt": "<string>",
      "incrementalId": 123,
      "externalId": "<string>",
      "paymentId": "<string>",
      "paidAt": "<string>",
      "finalizedAt": "<string>",
      "creditedInvoiceId": "<string>",
      "replacedInvoiceId": "<string>",
      "signedUrl": "<string>"
    }
  ],
  "pageInfo": {
    "first": true,
    "last": true
  },
  "totalCount": 123,
  "currentPage": 123,
  "totalPages": 123
}
{
  "title": "CUSTOMER_NOT_FOUND"
}

Path Parameters

customerId
string
required

Query Parameters

whenAt
string

Optional: the whenAt datetime

simulatedAt
string

Optional: the simulatedAt datetime

issuedAtOrder
string
default:asc

the issuedAt sort direction

branchId
string

Response

data
object[]
required

the list of items in the page

pageInfo
object
required

the page info

totalCount
number
required

the total number of items

currentPage
number
required

the current page

totalPages
number
required

the total number of pages